body
{
    font-family: 'Arial', sans-serif;
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    background: #f2f2f2;
}

*{
    --blanc: #ffffff;
    --noir: #000000;
    --griz: #999999;
    --base_1_couleur: #6775d6;
    --base_1_couleur_nuance_1: #4b5596ff;
    --base_2_couleur: #ffabe7;
    --base_3_couleur: #b390df;
    --vert: #4eb365ff;
    --vert_nuance_1: #3c844dff;
    --bleu: #005eff;
    --rouge: #dc3545;
    --jaune: #F8C61E;
    box-sizing: border-box;
}
/* header */
header
{
    width: 100%;
    height: 90px;
    margin: 0;
    background: var(--blanc);
    display: flex;
    justify-content: center;
    flex-wrap: wrap;
    position: fixed;
    top: 0;
    z-index: 4;
}
header.sans_categorie
{
    height: 50px;
}
body
{
    padding-top: 90px;
}
body.blocked_scroll
{
    overflow: hidden;
}
/* input */
input,
textarea,
select
{
    outline: none;
    border: none;
}
/* Chrome, Edge, Safari */
input[type="number"]::-webkit-inner-spin-button,
input[type="number"]::-webkit-outer-spin-button {
    -webkit-appearance: none;
    margin: 0;
}

/* Firefox */
input[type="number"] {
    -moz-appearance: textfield;
    appearance: textfield;
}
/* btn */
.rotate
{
    display: inline-block;
    animation: rotation 2s linear infinite;
}
@keyframes rotation {
    from {
        transform: rotate(0deg);
    }
    to {
        transform: rotate(360deg);
    }
}
.btn_ohnous,
.btn_ohnous.btn-primary
{
    background: var(--base_1_couleur);
    color: var(--blanc);
    outline: none;
    border: none;
    padding: 10px;
    font-size: 16px;
    border-radius: 5px;
    cursor: pointer;
    transition: .5s;
    display: inline-flex;
    justify-content: center;
    align-items: center;
}
.btn_ohnous:hover,
.btn_ohnous.btn-primary:hover
{
    background: var(--base_1_couleur_nuance_1);
}
.btn_ohnous.second,
.btn_ohnous.btn-secondary
{
    background: var(--blanc);
    border: 1px solid var(--base_1_couleur);
    color: var(--base_1_couleur);
}
.btn_ohnous.second:hover,
.btn_ohnous.btn-secondary:hover
{
    border: 1px solid var(--base_1_couleur_nuance_1);
}
.btn_ohnous.btn-success
{
    background: var(--vert);
    color: var(--blanc);
}
.btn_ohnous.btn-success:hover
{
    background: var(--vert_nuance_1);
}
.btn_ohnous:active
{
    opacity: .5;
}
.text-center
{
    text-align: center;
}
/* logo */
.logo
{
    width: 100%;
    display: flex;
    align-items: center;
    justify-content: center;
    height: 40px;
    overflow: hidden;
    padding: 5px;
    position: relative;
}
.logo img
{
    height: 25px;
}
/* panier */
.menu_banniere_droit
{
    position: absolute;
    right: 0;
    top: 0;
    bottom: 0;
    width: 35%;
    text-align: right;
}
.menu_banniere_link
{
    color: var(--noir);
    outline: none;
    text-decoration: none;
    height: 40px;
    width: 40px;
    display: inline-flex;
    justify-content: center;
    align-items: center;
    margin: 0px 10px;
    border-bottom: 1px solid var(--griz);
    position: relative;
}
.menu_banniere_link span
{
    position: absolute;
    top: 5px;
    right: 5px;
    background: var(--base_1_couleur);
    color: var(--blanc);
    font-size: 12px;
    width: 15px;
    height: 15px;
    border-radius: 50%;
    display: flex;
    align-items: center;
    justify-content: center;
}
.menu_banniere_link img
{
    height: 18px;
    width: 18px;
    border-radius: 50%;
}
.menu_banniere_link:hover
{
    background: var(--base_3_couleur);
    border: none;
}
.div_slide_panier
{
    position: fixed;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    height: 100vh;
    width: 100%;
    z-index: 5;
    display: block;
    display: none;
}
.div_slide_panier.active
{
    display: block;
}
.background
{
    background: rgba(255, 255, 255, .5);
    -webkit-backdrop-filter: blur(8px);
    backdrop-filter: blur(8px);
    position: absolute;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    z-index: 1;
}
.slide_panier
{
    position: absolute;
    z-index: 2;
    top: 0;
    bottom: 0;
    right: 0;
    overflow: auto;
    width: 50%;
    background: var(--blanc);
    transition: .5s;
}
.contenu_slide_panier
{
    position: absolute;
    padding: 0px 20px;
    padding-top: 35px;
    padding-bottom: 55px;
    top: 0;
    bottom: 0;
    width: 100%;
    overflow: auto;
}
.div_sortie_slide_panier
{
    position: fixed;
    z-index: 2;
    top: 0;
    right: 0;
    left: 0;
    height: 30px;
    display: block;
    text-align: right;
    padding: 10px;
}
.titre_panier
{
    color: var(--base_1_couleur);
    font-size: 20px;
    font-weight: bold;
    width: 100%;
    text-align: center;
}
.detail_panier
{
    display: flex;
    flex-wrap: wrap;
}
.div_img_detail_panier
{
    margin-top: 10px;
    width: 25%;
    position: relative;
    padding: 0px;
    display: flex;
    justify-content: center;
    align-items: center;
    height: 200px;
    overflow: hidden;
    border-radius: 10px;
}
.div_supp_produit_panier
{
    position: absolute;
    top: 15px;
    right: 15px;
    display: inline-flex;
    justify-content: center;
    align-items: center;
    width: 30px;
    height: 30px;
    background: rgba(255, 255, 255, .8);
    -webkit-backdrop-filter: blur(8px);
    backdrop-filter: blur(8px);
    color: var(--noir);
    border-radius: 50%;
    font-size: 16px;
    cursor: pointer;
    border: 1px solid var(--griz);
}
.div_supp_produit_panier:active
{
    opacity: .5;
}
.infos_detail_panier
{
    width: 75%;
    padding: 10px;
}
.infos_detail_panier
p
{
    margin: 5px 0px;
    padding-bottom: 10px;
}
.titre_produit_detail_panier
{
    font-size: 18px;
    font-weight: bold;
}
.div_compte_panier
{
    position: fixed;
    bottom: 0px;
    left: 50%;
    right: 0;
    display: flex;
    flex-wrap: wrap;
    width: 50%;
    z-index: 2;
}
.div_total_panier
{
    width: 50%;
    padding: 10px;
    font-size: 18px;
    font-weight: bold;
}
.total_panier
{
    width: 50%;
    padding: 10px;
    font-size: 16px;
    display: inline-block;
    width: 100%;
}
.total_panier
p
{
    display: inline;
}
.total_panier
a
{
    color: var(--blanc);
    text-decoration: none;
    font-weight: bold;
}
/* banniere */
.banniere
{
    height: 40px;
    width: 100%;
    background: var(--blanc);
    position: relative;
    flex-wrap: wrap;
}
.categories
{
    width: 100%;
    height: 40px;
}
.categories
.swiper
{
    width: 100%;
    height: 40px;
}
.categories
.swiper-wrapper
{
    width: 100%;
    height: 40px;
    padding: 5px 0px;
}
.categories
.swiper-slide
{
    width: auto;
    display: inline-flex;
    align-items: center;
    justify-content: center;
    height: 20px;
    padding: 5px 10px;
    margin: 0px 10px;
    text-decoration: none;
    outline: none;
    font-size: 16px;
    color: var(--blanc);
    border-radius: 20px;
    background: var(--noir);
}
/* intro */
.intro-hero 
{
    margin: 20px 0px;
    padding: 120px 0px;
    position: relative;
    width: 100%;
    height: 600px;
    background: var(--blanc);
    overflow: visibility;
    display: flex;
    align-items: center; /* Centre verticalement */
    justify-content: center; /* Centre horizontalement */
    text-align: center; /* Texte centré */
    border-radius: 50px;
}
.intro-hero.plus
{
    margin: 0px 0px;
    height: calc(100vh - 120px);

}
.intro-hero.sans_categorie
{
    margin-top: 15px;
    height: 600px;
}

.blob-bg 
{
    position: absolute;
    width: 250px; /* Taille de la bulle sur écran large */
    height: 250px;
    background: radial-gradient(circle at 30% 30%, var(--base_2_couleur), var(--base_3_couleur), var(--base_1_couleur));
    filter: blur(15px);
    border-radius: 50%;
    animation: blob 5s infinite ease-in-out;
    z-index: 1;
}
.plus
.blob-bg
{
    width: 400px; /* Taille de la bulle sur écran large */
    height: 400px;
}

@keyframes blob {
    0% {
        transform: scale(1) translate(0, 0);
        border-radius: 60% 40% 30% 70% / 60% 30% 70% 40%;
    }
    50% {
        transform: scale(1.2) translate(20px, -30px);
        border-radius: 40% 60% 70% 30% / 50% 70% 30% 60%;
    }
    100% {
        transform: scale(1) translate(0, 0);
        border-radius: 60% 40% 30% 70% / 60% 30% 70% 40%;
    }
}

.intro-text {
    position: relative;
    z-index: 2; /* Texte au-dessus de la bulle */
    color: var(--noir);
    font-family: 'Poppins', sans-serif;
    line-height: 1.2;
    font-size: 100px;
}
.intro-text h1
{
    font-size: 100px;
}

#changing-word-container {
    /* Fixe la largeur du container pour éviter le "saut" */
    display: inline-block;
    width: 100%; /* Ajuste à la largeur du texte le plus long */
}

#changing-word {
    display: inline-block;
    color: #ff69b4;
    transition: opacity 0.4s ease-in-out;
    min-width: 100%;
}

@media (max-width: 768px) {/* Responsive Design */
    .blob-bg {
        width: 250px;
        height: 250px;
    }

    .intro-text {
        font-size: 4rem;
    }
    .intro-text h1
    {
        width: 100%;
        font-size: 45px;
        text-align: center;
    }
    .intro-text #changing-word-container
    {
        width: 100%;
        text-align: center;
        display: inline-block;
    }

    #changing-word-container {
        width: 250px;
    }
}
/* search bare */
.div_search_bar
{
    position: absolute;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    display: flex;
    justify-content: center;
    align-items: center;
    z-index: 2;
    transition: .5s;
}
.div_search_bar.active
{
    z-index: -1;
}
.div_search_bar.all
{
    position: fixed;
    top: 90px;
    height: 70px;
    background: none;
    z-index: 4;
    transition: .5s;
    opacity: 0;
    visibility: hidden;
}
.div_search_bar.all.active
{
    opacity: 1;
    visibility: visible;
}
.div_search_bar.all.sans_categorie
{
    top: 50px;
}
.search_bar
{
    width: 70%;
    padding: 0px;
    border: none;
    border-radius: 50px;
    background: rgba(255, 255, 255, .5);
    -webkit-backdrop-filter: blur(8px);
    backdrop-filter: blur(8px);
    position: relative;
    border: 1px solid var(--griz);
}
.input_search_bar
{
    position: relative;
    z-index: 1;
    width: 100%;
    margin: 0;
    padding: 20px;
    border: none;
    border-radius: 5px;
    font-size: 16px;
    outline: none;
    background: none;
    color: var(--noir);
}
.button_search_bar
{
    position: absolute;
    top: 5px;
    bottom: 5px;
    margin: 0;
    right: 10px;
    border-radius: 50px;
    width: 100px;
    display: flex;
    align-items: center;
    justify-content: center;
    background: var(--noir);
    color: var(--blanc);
    border: none;
    outline: none;
    z-index: 2;
    cursor: pointer;
}
.button_search_bar:active
{
    opacity: .5;
}
.donnee_de_recherche
{
    position: absolute;
    top: calc(100% + 2.5px);
    left: 0;
    right: 0;
    background: rgba(255, 255, 255, .8);
    padding: 10px;
    max-height: 50vh;
    min-height: 25vh;
    border-radius: 0px 0px 50px 50px;
    overflow: auto;
    display: block;
    transition: .5s;
}
.donnee_de_recherche
.link
{
    width: 100%;
    padding: 10px;
    background: var(--blanc);
    color: var(--base_1_couleur);
    padding: 10px;
    display: block;
    outline: none;
    text-decoration: none;
    margin: 10px 0px;
    border: 1px solid var(--griz);
    border-radius: 10px;
}
.donnee_de_recherche
.link:hover
{
    background: var(--base_1_couleur);
    color: var(--blanc);
    border: 1px solid var(--base_1_couleur);
}
.donnee_de_recherche
.suggestion
{
    width: 100%;
    padding: 10px;
    background: var(--blanc);
    color: var(--noir);
    padding: 10px;
    display: block;
    outline: none;
    text-decoration: none;
    margin: 10px 0px;
    border: 1px solid var(--griz);
    border-radius: 10px;
}
.donnee_de_recherche
.suggestion
a,
.donnee_de_recherche
.suggestion
a:hover,
.donnee_de_recherche
.suggestion
a:active
{
    color: var(--bleu);
    text-underline-offset: 5px;
    text-decoration: underline;
}
.donnee_de_recherche
.no_result
{
    width: 100%;
    padding: 10px;
    background: var(--blanc);
    color: var(--rouge);
    padding: 10px;
    display: block;
    outline: none;
    text-decoration: none;
    margin: 10px 0px;
    border: 1px solid var(--griz);
    border-radius: 10px;
    text-align: center;
}

/* section catégorie */
.parent_div_section_categorie
{
    width: 100%;
    display: block;
    margin: 20px 0px;
}
.section_categorie
{
    width: 100%;
}
.section_categorie
.swiper-wrapper
{
    width: 100%;
}
.section_categorie
.swiper-slide
{
    width: 400px;
    height: 150px;
    margin: 5px 10px;
    background: rgba(255, 255, 255, .5);
    -webkit-backdrop-filter: blur(8px);
    backdrop-filter: blur(8px);
    border-radius: 20px;
    display: flex;
    flex-wrap: wrap;
    border: 1px solid var(--griz);
    justify-content: left;
    text-decoration: none;
    color: var(--noir);
    font-size: 20px;
    font-weight: bold;
    outline: none;
}
.section_categorie_nom
{
    width: 75%;
    padding: 20px;
    display: flex;
    align-items: center;
    justify-content: left;
    text-decoration: none;
    color: var(--noir);
    font-size: 20px;
    font-weight: bold;
    outline: none;
}
.section_categorie_nom
p
{
    justify-content: left;
    text-decoration: none;
    color: var(--noir);
    font-size: 20px;
    font-weight: bold;
    outline: none;    
}
.section_categorie_img
{
    width: 25%;
    padding: 0px;
    background-size: cover;
    border-radius: 0px 20px 20px 0px;
    border-top: 1px solid var(--griz);
    border-right: 1px solid var(--griz);
    border-bottom: 1px solid var(--griz);
    overflow: hidden;
}
.section_categorie_img img {
    width: 100%;
    height: 100%;
    object-fit: cover;
    object-position: center;
    display: block;
}


/* produit */
.parent_container_affiche_produit
{
    width: 100%;
    display: flex;
    flex-wrap: wrap;
}
.container_affiche_produit
{
    width: 100%;
    display: flex;
    flex-wrap: wrap;
    margin: 20px 0px;
}
.container_affiche_produit.vue_article
{
    width: 75%;
}
.container_affiche_produit
.titre
{
    width: 100%;
    font-size: 24px;
    font-weight: 800;
    margin-bottom: 10px;
    text-align: center;
    color: var(--base_1_couleur);
}
.container_filtre_produit
{
    width: 25%;
    margin: 20px 0px;
    padding: 10px;
}
.sous_container_filtre_produit
{
    background: var(--blanc);
    border-radius: 5px;
    padding: 10px;
}
.titre_liste_filtre_produit
{
    padding: 10px;
}
.titre_liste_filtre_produit
p
{
    display: inline-flex;
    padding: 10px;
    background: var(--noir);
    justify-content: center;
    align-items: center;
    width: 100%;
    border-radius: 10px;
    color: var(--blanc);
}
.div_detail_liste_filtre_produit,
.detail_liste_filtre_produit
{
    width: 100%;
    display: flex;
    flex-wrap: wrap;
    font-size: 16px;
}
.detail_liste_filtre_produit
{
    padding: 10px 10px;
    cursor: pointer;
    margin: 10px 0px;
    border-radius: 10px;
}
.detail_liste_filtre_produit:active
{
    opacity: .5;
}
.detail_liste_filtre_produit:hover,
.detail_liste_filtre_produit.active
{
    background: var(--base_2_couleur);
}
.detail_liste_filtre_produit
.nom
{
    width: 70%;
}
.detail_liste_filtre_produit
.nombre
{
    width: 30%;
    text-align: right;
}

.div_affiche_produit
{
    width: 25%;
    padding: 10px;
    box-sizing: border-box;
}
.vue_article
.div_affiche_produit
{
    width: 33.333%;
}
.affiche_produit
{
    width: 100%;
    background: var(--blanc);
    border-radius: 10px;
    box-shadow: 0px 0px 10px rgba(0, 0, 0, .1);
    overflow: hidden;
    padding: 0px 0px;
}
.div_img_affiche_produit
{
    position: relative;
    display: flex;
    justify-content: center;
    align-items: center;
    height: 400px;
    overflow: hidden;
}
.div_img_affiche_produit
a
{
    width: 100%;
    height: 100%;
    display: flex;
    justify-content: center;
    align-items: center;
}
.info_affiche_produit,
.like_affiche_produit
{
    position: absolute;
    z-index: 2;
}
.info_affiche_produit
{
    top: 10px;
    left: 10px;
    display: inline-block;
    background: rgba(0, 0, 0, .5);
    color: var(--blanc);
    padding: 5px 10px;
    border-radius: 5px;
    font-size: 16px;
}
.info_affiche_produit.new
{
    background: var(--vert);
    color: var(--blanc);
}
.like_affiche_produit
{
    top: 10px;
    right: 10px;
    font-size: 16px;
    color: var(--noir);
    outline: none;
    border: none;
    padding: 5px 10px;
    background: none;
    cursor: pointer;
    background: rgba(255, 255, 255, .5);
    border: 1px solid rgba(255, 255, 255, .5);
    border-radius: 5px;
}
.like_affiche_produit:active
{
    opacity: .5;
}
.div_details_affiche_produit
{
    border-top: 1px solid var(--griz);
    padding: 0px 10px;
}
.div_details_affiche_produit
.nom
{
    font-size: 18px;
    font-weight: bold;
    margin: 10px 0px;
}
.details_affiche_produit
{
    width: 100%;
    display: flex;
    flex-wrap: wrap;
    padding: 5px 0px;
}
.details_affiche_produit
.boutique
{
    width: 100%;
    font-size: 16px;
    color: var(--base_1_couleur);
    margin-bottom: 10px;
    text-decoration: underline;
    text-underline-offset: 5px;
    display: block;
    outline: none;
}
.prix_taille
{
    width: 50%;
}
.prix_taille
.taille
{
    font-size: 12px;
    color: var(--rouge);
}
.prix_taille
.prix
{
    font-size: 16px;
    color: var(--noir);
    font-weight: bold;
}
.boutton_panier_affiche_produit
{
    width: 50%;
    display: flex;
    justify-content: center;
    align-items: center;
}
.boutton_panier_affiche_produit
button
{
    padding: 5px 10px;
    font-size: 16px;
    font-weight: bold;
    background: var(--base_1_couleur);
    color: var(--blanc);
    border: none;
    outline: none;
    border-radius: 5px;
    cursor: pointer;
}
.boutton_panier_affiche_produit
button:active
{
    opacity: .5;
}
.boutton_panier_affiche_produit
button.active
{
    background: var(--noir);
    color: var(--blanc);
}
.blur-up {
    filter: blur(20px);
    transition: filter 0.5s ease-out;
}
.blur-up-loaded {
    filter: blur(0);
}

/* voir plus */
.div_btn_voir_plus
{
    width: 100%;
    display: flex;
    justify-content: center;
    align-items: center;
    margin: 20px 0px;
}
.btn_voir_plus 
{
    align-items: center;
    background-image: linear-gradient(144deg,var(--base_1_couleur), var(--base_1_couleur_nuance_1) 50%,var(--base_2_couleur));
    border: 0;
    border-radius: 8px;
    box-shadow: var(--base_1_couleur) 0 15px 30px -5px;
    box-sizing: border-box;
    color: #FFFFFF;
    display: flex;
    font-family: Phantomsans, sans-serif;
    font-size: 20px;
    justify-content: center;
    line-height: 1em;
    max-width: 100%;
    min-width: 140px;
    padding: 19px 24px;
    text-decoration: none;
    user-select: none;
    -webkit-user-select: none;
    touch-action: manipulation;
    white-space: nowrap;
    cursor: pointer;
}
.btn_voir_plus.error
{
    background-image: none;
    background: var(--rouge);
    color: var(--blanc);
}

.btn_voir_plus:active,
.btn_voir_plus:hover {
outline: 0;
}

@media (min-width: 768px) {
    .btn_voir_plus {
        font-size: 24px;
        min-width: 196px;
    }
}


/* vu article */
.parent_div_image_vu_article
{
    width: 100%;
    display: flex;
    flex-wrap: wrap;
    padding: 10px;
}
.div_image_vu_article,
.div_detail_vu_article
{
    width: 50%;
    padding: 10px;
    color: var(--noir);
}
.div_detail_vu_article .nom
{
    display: block;
    width: 100%;
    font-weight: 600;
    font-size: 30px;
    padding-bottom: 10px;
}
.div_detail_vu_article .avis
{
    color: var(--griz);
    font-size: 16px;
    padding-bottom: 10px;
}
.div_detail_vu_article .avis i
{
    color: var(--jaune);
}
.div_detail_vu_article .prix
{
    font-size: 24px;
    font-weight: 800;
    color: var(--noir);
    padding-bottom: 10px;
}
.div_detail_vu_article .taille
{
    width: 100%;
    padding-bottom: 10px;
}
.div_detail_vu_article .taille span
{
    padding: 5px 20px;
    display: inline-block;
    border: 1px solid var(--griz);
    margin-right: 5px;
    border-radius: 10px;
    background: var(--blanc);
}
.div_detail_vu_article .action_panier
{
    width: 100%;
    padding-bottom: 10px;
    display: flex;
    flex-wrap: wrap;
}
.div_detail_vu_article .action_panier button
{
    padding: 10px 5px;
    width: 48%;
    margin-right: 1%;
    outline: none;
    border: 1px solid var(--griz);
    border-radius: 10px;
    background: var(--blanc);
    color: var(--noir);
    font-size: 20px;
}
.div_detail_vu_article .action_panier button.acheter_directement
{
    background: var(--base_1_couleur);
    color: var(--blanc);
}
.div_detail_vu_article .plus_details
{
    width: 100%;
    padding-bottom: 10px;
}
.div_detail_vu_article .plus_details .details
{
    width: 100%;
    padding-bottom: 5px;
    font-size: 16px;
    color: var(--noir);
    outline: none;
}
.div_detail_vu_article .plus_details .details strong
{
    font-weight: bold;
}
.div_detail_vu_article .plus_details .details a
{
    text-underline-offset: 2.5px;
    color: var(--noir);
    font-weight: normal;
}
.div_details_article_vu_article
{
    width: 100%;
    padding: 0px 10px;
    background: var(--blanc);
    margin: 10px 0px;
}
.div_details_article_vu_article
.div_titre
{
    width: 100%;
    padding: 10px 0px;
    display: flex;
    flex-wrap: wrap;
    position: relative;
}
.div_details_article_vu_article
.div_titre
.titres
{
    width: 50%;
    text-align: center;
    font-size: 16px;
    font-weight: bold;
    position: relative;
    z-index: 2;
    cursor: pointer;
}
.div_details_article_vu_article
.div_titre
.background
{
    position: absolute;
    bottom: 0;
    top: 0;
    width: 50%;
    border-bottom: 5px solid var(--base_1_couleur);
    z-index: 1;
    transition: .5s;
}
.div_details_article_vu_article
.div_details
{
    position: relative;
    width: 100%;
    padding: 10px;
    height: 70vh;
    overflow: auto;
    border: 1px solid var(--griz);
}
.div_details_article_vu_article
.div_details
.titre
{
    font-size: 20px;
    font-weight: bold;
    padding-bottom: 10px;
}
.star {
font-size: 2rem;
cursor: pointer;
color: #ccc; /* Gris par défaut */
transition: color 0.2s;
}

.star.active, .star:hover, .star:hover ~ .star {
color: #ffcc00; /* Jaune or */
}

/* On inverse l'ordre visuel pour que le hover fonctionne bien en CSS pur ou on gère en JS */
.stars {
display: flex;
flex-direction: row-reverse;
justify-content: flex-end;
}

#comment-text {
display: block;
width: 100%;
margin: 10px 0;
padding: 10px;
}




/* boutique */
.banniere_boutique
{
    width: 100%;
    background: var(--blanc);
    margin: 20px 0px;
    padding: 10px;
    border-radius: 20px;
    position: relative;
    padding-top: 150px;
}
.background_baniere_boutique
{
    position: absolute;
    z-index: 1;
    height: 200px;
    background: var(--base_1_couleur);
    top: 0;
    left: 0;
    right: 0;
    border-radius: 20px 20px 0px 0px;
}
.deconnexion_boutique
{
    position: absolute;
    top: 10px;
    right: 10px;
    z-index: 2;
    outline: none;
    text-decoration: none;
    border:2px solid rgba(255, 255, 255, .5);
    padding: 10px;
    border-radius: 10px;
    background: var(--blanc);
    color: var(--noir);
}
.deconnexion_boutique:active
{
    opacity: .5;
}
.div_profile_boutique
{
    width: 100%;
    z-index: 2;
    position: relative;
}
.div_profile_boutique.user
{
    display: flex;
    justify-content: center;
    align-items: center;
}
.profile_boutique
{
    width: 100px;
    height: 100px;
    border-radius: 50%;
    overflow: hidden;
}
.profile_boutique.user
{
    width: 100px;
    height: 100px;
    border-radius: 5px;
    overflow: hidden;
}
.profile_boutique
img
{
    width: 100%;
}
.div_nom_boutique
{
    width: 100%;
}
.nom_boutique
{
    font-size: 20px;
    color: var(--noir);
    font-weight: 800;
    letter-spacing: 2.5px;
}
.div_description_boutique
{
    width: 100%;
}
.div_description_boutique
{
    color: var(--noir);
    font-size: 16px;
}
.container_message_edit_social_media_boutique
{
    width: 100%;
    display: flex;
    flex-wrap: wrap;
}
.div_edit_message_boutique
{
    width: 50%;
    padding-right: 10px;
    padding-top: 10px;
}
.editer_boutique
{
    padding: 10px;
    background: var(--base_1_couleur);
    color: var(--blanc);
    border-radius: 10px;
    text-decoration: none;
    margin-right: 10px;
}
.editer_boutique:active
{
    opacity: .5;
}
.editer_boutique.message
{
    background: var(--blanc);
    color: var(--noir);
    border: 1px solid var(--noir);
}
.editer_boutique
span
{
    display: inline-flex;
    width: 25px;
    height: 25px;
    font-size: 16px;
    justify-content: center;
    align-items: center;
    background: var(--base_2_couleur);
    border-radius: 50%;
    font-weight: 800;
    color: var(--blanc);
}
.social_media_boutique
{
    width: 50%;
    height: auto;
}
.social_media_boutique
a
{
    display: inline-block;
    text-decoration: none;
    background: var(--base_2_couleur);
    color: var(--noir);
    padding: 5px;
    border-radius: 10px;
    margin-right: 10px;
    margin-top: 10px;
    font-size: 20px;
}


/* login */
.container_login_page
{
    position: absolute;
    z-index: 2;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    padding: 0;
    margin: 0;
    display: flex;
    justify-content: center;
    align-items: center;
}
.div_login_page
{
    width: 50%;
    max-height: 90%;
    overflow: auto;
    display: flex;
    flex-wrap: wrap;
    padding: 10px;
    background: rgba(255, 255, 255, .8);
    backdrop-filter: blur(8px);
    -webkit-backdrop-filter: blur(8px);
    border-radius: 10px;
}
.div_detail_login_page
{
    width: 100%;
}
.div_icone_login_page
{
    width: 100%;
    padding: 10px 0px;
    display: flex;
    justify-content: center;
    align-items: center;
}
.icone_login_page
{
    display: inline-block;
    background: var(--blanc);
    padding: 10px;
    border-radius: 10px;
    box-shadow: rgba(0, 0, 0, 0.06) 0px 2px 4px 0px inset;
}
.titre_login_page
{
    padding: 10px;
    width: 100%;
    text-align: center;
    font-size: 20px;
    color: var(--noir);
    font-weight: bold;
}
.text_login_page
{
    padding: 10px;
    width: 100%;
    text-align: center;
    font-size: 16px;
    color: var(--noir);
    font-weight: normal;
}
.choix_form_ohnous,
.form_ohnous
{
    width: 100%;
    margin: 10px 0px;
    border: 1px solid var(--griz);
    background: var(--blanc);
    font-size: 16px;
    border-radius: 10px;
    padding: 5px;
    padding-left: 25px;
    text-align: left;
    position: relative;
    overflow: hidden;
    height: 35px;
}
.choix_form_ohnous
{
    background: none;
    height: auto;
}
.choix_form_ohnous
a
{
    display: inline-block;
    padding: 10px;
    color: var(--noir);
    background: var(--blanc);
    text-decoration: none;
    margin: 10px;
    border-radius: 10px;
    border: 1px solid var(--griz);
}
.choix_form_ohnous
a:active
{
    opacity: .5;
}
.form_ohnous
input,
.form_ohnous
select
{
    position: absolute;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    padding: 5px;
    font-size: 16px;
    padding-left: 30px;
    border: none;
    background: var(--blanc);
    outline: none;
    display: flex;
    justify-content: center;
    align-items:first baseline;
}
.form_ohnous
select
{

}
.form_ohnous.password
input
{
    padding-right: 30px;
}
.form_ohnous.description
{
    height: auto;
    padding: 0 0;
}
.form_ohnous.description
textarea
{
    width: 100%;
    height: 100px;
    padding: 10px;
    resize: none;
    font-size: 16px;
    color: var(--noir);
}
.form_ohnous
i
{
    position: absolute;
    z-index: 2;
    top: 0;
    left: 0;
    bottom: 0;
    width: 25px;
    display: flex;
    justify-content: center;
    align-items: center;
}
.form_ohnous.submit
i
{
    position: relative;
    z-index: 1;
    top: auto;
    left: auto;
    bottom: auto;
    width: auto;
    display: inline-block;
}
.form_ohnous
i.vu_password_form_ohnous
{
    right: 0;
    left: auto;
    cursor: pointer;
}
.form_ohnous
i.vu_password_form_ohnous:active
{
    opacity: .5;
    border-left: 1px solid var(--griz);
}
.form_ohnous
button
{
    width: 100%;
}
.form_ohnous.word,
.form_ohnous.submit
{
    background: none;
    border: none;
    height: auto;
    padding: 0 0;
}
.form_ohnous
a
{
    text-decoration: none;
    outline: none;
    display: block;
    width: 100%;
    text-align: right;
    color: var(--bleu);
    text-decoration: underline;
    text-underline-offset: 2.5px;
    font-size: 16px;
}
.form_ohnous
a.link
{
    text-align: center;
    color: var(--noir);
    font-size: 20px;
    font-weight: 600;
    text-underline-offset: 3px;
}
.div_choix_de_compte
{
    width: 100%;
    height: 100%;
    display: flex;
    flex-wrap: wrap;
}
.choix_de_compte
{
    width: 50%;
    height: 50vh;
    display: flex;
    justify-content: center;
    align-items: center;
    text-decoration: none;
    outline: none;
    color: var(--noir);
}
.choix_de_compte:first-child
{
    border-right: 10px solid var(--blanc);
}
.choix_de_compte:active,
.choix_de_compte:hover
{
    color: var(--noir);
    opacity: .5;
}
.choix_de_compte:active
{
    opacity: .25;
}
.div_detail_choix_de_compte
{
    height: 100%;
}
.detail_choix_de_compte_icone
{
    width: 100%;
    height: 50%;
    display: flex;
    justify-content: center;
    align-items: center;
}
.detail_choix_de_compte_icone
i
{
    display: inline-flex;
    height: 50px;
    width: 50px;
    justify-content: center;
    align-items: center;
    background: var(--blanc);
    border-radius: 10px;
    box-shadow: rgba(0, 0, 0, 0.06) 0px 2px 4px 0px inset;
}
.detail_choix_de_compte_text
{
    width: 100%;
    font-size: 30px;
    font-weight: 800;
    color: var(--base_1_couleur_nuance_1);
    letter-spacing: 2.5px;
}
.form_edit_boutique
{
    padding: 10px 0px;
    border-top: 2px solid var(--griz);
}
.div_edit_profil_boutique
{
    width: 100%;
    padding: 5px 0px;
    display: flex;
    justify-content: center;
    align-items: center;
}
.edit_profil_boutique
{
    width: 100px;
    height: 100px;
    border-radius: 50%;
    overflow: hidden;
}
.edit_profil_boutique
img
{
    width: 100%;
}
.div_profile_editer_profile
{
    width: 100%;
    padding: 10px;
    display: flex;
    justify-content: center;
    align-items: center;
}
.profile_editer_profile
{
    width: 100px;
    height: 100px;
    border-radius: 50%;
    padding: 10px;
}
.profile_editer_profile
img
{
    border-radius: 50%;
    width: 100%;
}


/* chat */
.div_choix_chat
{
    display: block;
    width: 100%;
    padding: 10px 0px;
    text-align: left;
}
.div_choix_chat
a
{
    display: flex;
    flex-wrap: wrap;
    width: 100%;
    font-size: 16px;
    color: var(--noir);
    outline: none;
    text-decoration: none;
    border-radius: 10px;
    padding: 10px;
    margin: 10px 0px;
    background: var(--blanc);
}
.div_choix_chat
a i,
.div_choix_chat
a p
{
    display: inline-block;
    padding: 0;
    margin: 0;
    color: var(--noir);
}
.div_choix_chat
a i
{
    display: inline-flex;
    width: 55px;
    justify-content: center;
    align-items: center;
}
.div_choix_chat
a p
{
    overflow-wrap: break-word;
    width: calc(100% - 60px);
}
.div_choix_chat
span
{
    font-size: 12px;
    color: var(--base_1_couleur);
    
}








.null{
    display: none;
}